/****************************************************************
 * Defines.h : Misc Definitions
 *
 * (c) 1995-1997 Yutaka Oiwa.
 *
 * $Id: Defines.h,v 1.6 1997/12/29 12:28:48 yutaka Exp $
 ****************************************************************/

#ifndef _DEFINES_H
#define _DEFINES_H

#if defined(sun) && !defined(__svr4__)
#include "sunos4_compatibility.h"
#endif

//#define DEBUG

#ifdef DEBUG
#include <stdio.h>
#define dprintf printf
#define dperror perror
#else
inline void dprintf(char *, ...){}
inline void dperror(char *){}
#endif

#define OLD_COMPAT
char *NewString(const char *); // definition found in xitalkbiff.cc

#undef max
inline int max(int x, int y) { return (x > y) ? x : y; }

#endif

